Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #203

Winamp Interface does not raise all windows when focus comes back
October 27, 2012 17:37 - mathias dufresne
Description

Hello,

There was a thread here about that subject but it was closed and | can't found it again. No matter, | re-explain.

This happens with all version 3 I've tested. Even with git version two days ago.

I'm using OpenBox as Window manager on some up to date Gentoo. The issue happens also with KDE 4.8.5 (and previous I've
tested).

Most times focusing audacious (by clicking on main window or on taskbar button) does not raise playlist window. This does not
happen with equalizer and does not happen if playlist was closed then reopen (not closing the main window).

When clicking on playlist only the playlist get focus, this happens every time, no matter if playlist was closed and re-opened.

In the initial thread the answer to the original poster was the issue should comes from GTK or OpenBox and so, as audacious is not
responsible, the demand was closed. In that thread I've posted a message explaining all test | made changing version of stuff which
could have generated this issue. No change.

As this doesn't happen with equalizer window, as this doesn't happen identically when audacious start with playlist opened and
playlist closed, as it happens also with KDE (without openbox, only KDE) which is not using too much GTK | reckon perhaps we

could say this time it comes from audacious.

If you want some more information about my system or if you want more tests (please tell me what kind of tests), | would be pleased
to proceed to help to find the issue and get finally the best audio player working again as it should ;)

Kindly regards,

mathias

History

#1 - October 27, 2012 17:46 - mathias dufresne

Sorry, | did not use equalizer so | haven't noticed it has not this issue only because | started audacious without equalizer. So the behaviour of
windows (playlist and equalizer) are the same.

#2 - October 28, 2012 15:24 - Thomas Lange

| was able to reproduce this under Lubuntu 11.10
and tested several versions of Audacious.

2.5.4 is the latest not affected version.
3.2.4 with GTK2 is affected so it is not related to GTK3.

#3 - October 28, 2012 15:24 - Thomas Lange

- Category set to plugins/skins
#4 - October 28, 2012 16:37 - John Lindgren

- Status changed from New to Rejected

It is not Audacious's job to raise its windows when they receive focus; that is a choice the window manager makes. | recommend using XFWM4 as it
generally seems to play the nicest with Audacious.

#5 - October 30, 2012 08:53 - mathias dufresne
| am able to reproduce that issue with XFCE 4.10.

Not exactly in fact: in XFCE4 clicking on the main window raises also the playlist, but clicking on playlist does not raise the main window.

#6 - October 30, 2012 08:57 - mathias dufresne

the orginal thread is there:
http://redmine.audacious-media-player.org/issues/3

there are my previous test and the video from some other audacious user.
Cheers,

mathias

#7 - November 10, 2012 11:06 - Hermann Kreutsfeld
This issue is quite bad, it makes the classic interface useless sometimes, | lose the main window when raising Audacious with the taskbar, even after
clicking "show desktop". This on Mate, linux mint 13, similar issue in LXDE.

The trouble is | can't actually get the main window back at all, unless | remember alt-tabbing fixes it.
So I'd have to use gtk Ul, but the old winamp Ul allows to fit a file manager and music player side by side on a 1024 or 1280 pixel wide screen. It
leaves a taste that the old Ul has been deprecated.

This being the window manager's fault or gtk's fault makes the most sense. If your window manager is very flexible you maybe can work out a special
focus rule that says if playlist is focused then focus main window..

| tested XFWM4 as a replacement for marco in Mate (had no idea the WM was called marco before). It works but only advanced computer users can
do that not, regular end users.

#8 - November 10, 2012 11:13 - Hermann Kreutsfeld

Well, | said it made most sense, from a technical viewpoint, not so much for the end user who was running older versions of the same software and
thinks Audacious is a bit broken.

#9 - November 10, 2012 13:30 - Thomas Lange

Have you already filed a bug report for Mate?
And you could you please explain how you reproduce this with Xfce?
| am not able to reproduce it neither with KDE 4.9 nor with Xfce.
#10 - January 10, 2013 03:15 - Lars Mueller

I'm one of the Cinnamon developers. This behavior was issued to us at https:/github.com/linuxmint/Cinnamon/issues/1576

| did some code digging in Audacious' skins plugin:

When Audacious is started with the Winamp interface and the playlist is set to open at startup (e.g. by being open when closing Audacious before),
gtk_window_set_transient_for() is called, before the main window is published to X11 via gtk_window_present(). So neither X11 nor the window
manager can possibly know about this relationship, which is typically used by taskbars, window lists etc.

This is also the reason why the relationship works, if the playlist is opened manually after Audacious startup (because X11 and the window manager
already know the main window).

This is either a bug in Audacious or in Gtk, but not a window manager bug (no matter which one). A possible solution could be to present the main
window before setting the playlist as a transient.

All this also applies to the equalizer window.
